#!/usr/bin/python3
import dns.resolver

sites = [\
        "wiki.squirrelsystem.fr",\
        "www.justgeek.fr",\
        "www.yahoo.co.jp",
        "mail.google.com",\
        "store.steampowered.com",\
        "pornhub.com",\
        "rznet.fr"\
        ]

dnsservers = [\
        "1.1.1.1",\
        "8.8.8.8",\
        "208.67.222.222",\
        "156.154.70.1",\
        "199.85.126.10",\
        "8.26.56.26",\
        "80.67.169.12",\
        "9.9.9.9",\
        "64.6.64.6",\
        "37.235.1.174"\
        ]

# Checking every dns performance using dig


#print(dns.resolver.resolve("google.fr", "A").response.time * 1000
serversresults = {}

for server in dnsservers:
    answers = []
    for site in sites:
        answer = float(dns.resolver.resolve(site, "A").response.time * 1000)
        answers.append(answer)

    print(server, "-------->", (sum(answers) / len(answers)), "ms")



